[gm45] False GPU lockup IPEHR: 0x02000004

Bug #1222203 reported by PRAKASH KUMAR on 2013-09-07
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
xserver-xorg-video-intel (Ubuntu)
Undecided
Unassigned

Bug Description

...

ProblemType: Crash
DistroRelease: Ubuntu 13.10
Package: xserver-xorg-video-intel 2:2.21.14-4ubuntu3
ProcVersionSignature: Ubuntu 3.11.0-4.9-generic 3.11.0-rc7
Uname: Linux 3.11.0-4-generic i686
.tmp.unity.support.test.0:

ApportVersion: 2.12.1-0ubuntu3
Architecture: i386
Chipset: gm45
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
Date: Sat Sep 7 21:48:54 2013
DistUpgraded: Fresh install
DistroCodename: saucy
DistroVariant: ubuntu
DkmsStatus: virtualbox, 4.2.16, 3.11.0-4-generic, i686: installed
DuplicateSignature: [gm45] GPU lockup IPEHR: 0x02000004 Ubuntu 13.10
ExecutablePath: /usr/share/apport/apport-gpu-error-intel.py
GraphicsCard:
 Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a42] (rev 09) (prog-if 00 [VGA controller])
   Subsystem: Samsung Electronics Co Ltd Device [144d:c06d]
   Subsystem: Samsung Electronics Co Ltd Device [144d:c06d]
InstallationDate: Installed on 2013-08-26 (11 days ago)
InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha i386 (20130704)
InterpreterPath: /usr/bin/python3.3
MachineType: SAMSUNG ELECTRONICS CO., LTD. R528/R728
MarkForUpload: True
ProcCmdline: /usr/bin/python3 /usr/share/apport/apport-gpu-error-intel.py
ProcEnviron:

ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.11.0-4-generic root=UUID=af6bcc51-cde8-4b85-be7a-1d8c9e8f458d ro quiet splash vt.handoff=7
RelatedPackageVersions:
 xserver-xorg 1:7.7+1ubuntu5
 libdrm2 2.4.46-1
 xserver-xorg-video-intel 2:2.21.14-4ubuntu3
SourcePackage: xserver-xorg-video-intel
Title: [gm45] False GPU lockup IPEHR: 0x02000004
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

dmi.bios.date: 01/18/2010
dmi.bios.vendor: Phoenix Technologies Ltd.
dmi.bios.version: 03JL.M011.20100118.KSJ
dmi.board.name: R528/R728
dmi.board.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.board.version: Not Applicable
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnPhoenixTechnologiesLtd.:bvr03JL.M011.20100118.KSJ:bd01/18/2010:svnSAMSUNGELECTRONICSCO.,LTD.:pnR528/R728:pvrNotApplicable:rvnSAMSUNGELECTRONICSCO.,LTD.:rnR528/R728:rvrNotApplicable:cvnSAMSUNGELECTRONICSCO.,LTD.:ct10:cvrN/A:
dmi.product.name: R528/R728
dmi.product.version: Not Applicable
dmi.sys.vendor: SAMSUNG ELECTRONICS CO., LTD.
version.compiz: compiz 1:0.9.10+13.10.20130828.2-0ubuntu1
version.libdrm2: libdrm2 2.4.46-1
version.libgl1-mesa-dri: libgl1-mesa-dri 9.2-1ubuntu1
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 9.2-1ubuntu1
version.xserver-xorg-core: xserver-xorg-core 2:1.14.2.901-2ubuntu4
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.3-0ubuntu3.1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.2.0-0ubuntu6
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.21.14-4ubuntu3
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.9-2ubuntu1
xserver.bootTime: Sat Sep 7 21:53:11 2013
xserver.configfile: default
xserver.errors:

xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:
 product id 5
 vendor INL
xserver.version: 2:1.14.2.901-2ubuntu4

PRAKASH KUMAR (mr-pkmali) wrote :
tags: removed: need-duplicate-check
Chris Wilson (ickle) wrote :

Looks like the render-to-tiled-Y hang on gen4. Sigh.

Changed in xserver-xorg-video-intel (Ubuntu):
status: New → In Progress
Chris Wilson (ickle) wrote :

Hopefully I've identified the correct issue:

commit 9a66d77efa53cff83e9711786c39e8ebff8dd26d
Author: Chris Wilson <email address hidden>
Date: Tue Sep 10 12:29:24 2013 +0100

    sna: Disable use of Y-tiling for gen4

    This problematic GPU still seems to like to fallover when faced with
    Y-tiling. It was reserved only for use with glyphs, but even that
    occasionally runs into trouble, so disable all selection of Y-tiling for
    our own use.

    Bugzilla: https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/1222203
    Signed-off-by: Chris Wilson <email address hidden>

Changed in xserver-xorg-video-intel (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-intel - 2:2.99.903-0ubuntu1

---------------
xserver-xorg-video-intel (2:2.99.903-0ubuntu1) saucy; urgency=low

  * Merge from unreleased debian git (LP: #1222203, #1224106, #1228677,
    #1233990, #1234027)
  * Drop patches that were from upstream.
  * source: Revert to source format 1.0.
  * xmir.patch: Refresh.
 -- Timo Aaltonen <email address hidden> Tue, 01 Oct 2013 16:18:05 +0300

Changed in xserver-xorg-video-intel (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.